/*****************************************************************
* Karakteres LCD meghajtó programkönyvtár.                       *
* Specialitása, hogy a begin() feltölti a kijelzőre a magyar     *
* ékezetes karaktereket (kisbetűs formában). A byte típusú       * 
* változók DEC,HEX,BIN formátumban is megjeleníthetők            *
* További részletek a www.STARduino.hu weboldalon a "Modulok /   *
* kijelzők / 1602 LCD kijelző" menüpontban                       *
*****************************************************************/

#ifndef LiquidCrystal_I2C_HUN_h
#define LiquidCrystal_I2C_HUN_h

#include "Arduino.h"

class LiquidCrystal_I2C_HUN {

public:
  LiquidCrystal_I2C_HUN(byte lcd_cim,byte lcd_oszlop,byte lcd_sor);
  void begin();
  void clear();
  void home();
  void noDisplay();
  void display();
  void on();
  void off();
  void noBlink();
  void blink();
  void noCursor();
  void cursor();
  void scrollDisplayLeft();
  void scrollDisplayRight();
  void leftToRight();
  void rightToLeft();
  void noBacklight();
  void backlight();
  void setBacklight(byte ertek);				
  bool getBacklight();
  void autoscroll();
  void noAutoscroll(); 
  void createChar(byte, byte[]);
  void setCursor(byte, byte); 
  void write(byte);
  void command(byte);
  void print(String);
  void print(byte,byte);
  void print(byte);
  void print(int);
  void print(unsigned int);
  void print(long);
  void print(unsigned long);
  void print(float,byte);

private:
  void send(byte,byte);
  void wr4bit(byte);
  void i2cWrite(byte);
  byte _lcd_cim;
  byte _lcd_oszlop;
  byte _lcd_sor;
  byte _displaycontrol;
  byte _displaymode;
  byte _backlightval;
};

#endif
