# Installáció 1 #
  Készíts egy új könyvtárat "LiquidCrystal_I2C_HUN" névvel az 
  Arduino IDE program beállítások menüpontjában megadott 
  vázlatfüzet elérési útvonalon a "libraies" könyvtáron belül.
  Másold bele a ZIP file tartalmát. Arduino IDE újraindítása 
  után a Fájl / Példák menüpontban részletes mintapéldát találsz.

# Installáció 2 #
  Az Arduino IDE Vázlat / Könyvtár tartalom menüpontjában ZIP 
  könyvtár hozzáadása menüponttal tallózd ki a ZIP állományt, 
  és add hozzá. Arduino IDE újraindítása után a Fájl / Példák 
  menüpontban részletes mintapéldát találsz.

# Eltérések a szokásos LiquidCrystal könyvtáraktól # 
- A begin letölti a magyar ékezetes kisbetűket a kijelzőre a 
  0-6 ASCII kódokra (ö és ü betű benn van a kijelző saját
  ASCII karaktertáblájában.
- Nem a print osztályt használja, saját print függvényeket írtam.
  Ennek oka, hogy string-ben fel kell ismerni az UTF_8 kódolású
  magyar karaktereket, és a megfelelő kódokat kell a kijelzőnek küldeni.
- Magyar ékezetes kisbetűket kezel, nagybetűket automatikusan 
  kicsire cseréli. 
- A println nem lett megvalósítva, csak print létezik. A print 
  csak néhány típust ismer fel (byte, int,  unsigned int, long,
  unsigned long, float)
- byte típusú adat esetén paraméterként megadható DEC,HEX,BIN
  és a kiírás a megfelelő számformátumban történik.
- Float esetén paraméterként megadható a tizedesjegyek száma.

# Kijelző vezérlő metódusok #
  begin()                  Alaphelyzetbe állítja a kijelző, 
                           feltölti a magyar karaktereket
  clear()                  Törli a kijelző tartalmát, a cursort 
                           a 0,0 pontra helyezi
  home()                   A cursort a 0,0 pontra helyezi
  noDisplay()              Kikapcsolja a kijelzőt (ram tartalma 
                           megmarad, bekapcsoláskor változatlan)
  display()                Bekapcsolja a kijelzőt
  off()                    Ugyanaz mint noDisplay de a háttérvilágítást 
                           is kikapcsolja
  on()                     Bekapcsolja a kijelzőt és a háttérvilágítást                       
  noBlink()                Kikapcsolja a villogó telikaraktert a cursor 
                           pozícióban
  blink()                  Bekapcsolja a villogó telikaraktert a cursor 
                           pozícióban
  noCursor()               Kikapcsolja az aláhúzás cursor jelzést a cursor 
                           pozícióban
  cursor()                 Bekapcsolja az aláhúzás cursor jelzést a cursor 
                           pozícióban
  scrollDisplayLeft()      Egy karakterrel balra görgeti a kijelző 
                           tartalmat (végen kilépő karakter a másik végen 
                           belép)
  scrollDisplayRight()     Egy karakterrel balra görgeti a kijelző 
                           tartalmat (végen kilépő karakter a másik végen 
                           belép)
  leftToRight()            A következő írások karakterei balról jobbra 
                           jelennek meg (normál írási irány). Autoscroll 
                           esetén a kijelző balra gördül.
  rightToLeft()            A következő írások karakterei jobbról balra 
                           jelennek meg (ellentétes írási irány). Autoscroll 
                           esetén a kijelző jobbra gördül.
  noBacklight()            Háttérvilágítás kikapcsolása
  backlight()              Háttérvilágítás bekapcsolása
  setBacklight(byte)       Háttérvilágítás ki vagy bekapcsolása (0 ki, 1 be)				
  getBacklight()           Visszaadja bool típusban a háttérvilágítás 
                           állapotát (0 nem világít, 1 világít)
  autoscroll()             Egy karakter kiírása után nem a cursor mozdul el, 
                           hanem a teljes kijelző tartalom shift-el.
  noAutoscroll()           Egy karakter kiírásakor a cursor mozdul el.
  createChar(byte, byte[]) Karakter feltöltése. Első paraméter tároló hely 
                           (0-7), második egy 8 elemű tömb a karakterképpel 
                           (5x8-as karakter pontmátrix)
  setCursor(byte, byte)    Cursor pozíciójának beállítása (oszlop, sor)

# Adat kiírási metódusok #
  write(byte)              Egy karakter írása. paraméterként ascii kódot 
                           kell megadni (pl. A betű 65)
  print(String)            Karaktertömböt ír ki. a kiírás karakterenként 
                           történik a write metódussal. A magyar ékezetes 
                           karakterek UTF-8 kódolású 195 vagy 197 bevezető 
                           byte-ját nem küldi ki a kijelzőre. Az ezt követő 
                           kódot a megfelelő 0-6 ascii kódra konvertálja.
  print(byte,byte)         Byte típusú változó értékét írja ki. A paraméter 
                           megadja a kiírás formátumát: 2 (BIN) 8 bites bináris, 
                           10 (DEC) decimális, 16 (HEX) hexadecimális
  print(byte)              Byte típusú változó értékét írja ki decimális 
                           formában (max. 3 karakter hossz).
  print(int)               Int típusú változó értékét írja ki (max. 5 karakter 
                           plusz negatív előjel)
  print(unsigned int)      Unsigned int típusú változó értékét írja ki (max. 
                           5 karakter) 
  print(long)              Long típusú változó értékét írja ki (max. 10 
                           karakter plusz negatív előjel)
  print(unsigned long)     Unsigned long változó értékét írja ki (max. 10 
                           karakter)
  print(float,byte)        Float számot ír ki tizedestört alakban, második 
                           kötelező paraméter a tizedesjegyek számát határozza 
                           meg.

