#include <Wire.h>                              //I2C library
#include <LiquidCrystal_I2C_HUN.h>
LiquidCrystal_I2C_HUN lcd(0x3f,20,4);  // Kijelző I2C cím beállítása, oszlopok száma és sorok száma (20x4 kijelző)
//LiquidCrystal_I2C_HUN lcd(0x27,16,2);  // Kijelző I2C cím beállítása, oszlopok száma és sorok száma (16x2 kijelző)

void setup() 
{
  Wire.begin();                       //A kijelző használatához kell az I2C (a LiquidCrystal_I2C_HUN.h include-olja)
  lcd.begin();
  lcd.backlight();                    //háttérvilágítás bekapcsolása
  lcd.setCursor(0,0);                 //LCD kurzor a 1. sor 1. karakter pozícióba
  lcd.print("Magyar ékezetes");       //Írás a kijelzőre a beállított pozíciótól
  lcd.setCursor(0,1);                 //LCD kurzor a 2. sor 6. karakter pozícióba
  lcd.print("Bemutató program"); 
  delay(2000);

  lcd.clear();                        //kijelző törlése
  lcd.setCursor(0,0);                 //LCD kurzor a 1. sor 1. karakter pozícióba
  lcd.print("Írás karkt.-ként"); 
  lcd.setCursor(0,1);                 //LCD kurzor a 1. sor 1. karakter pozícióba
  lcd.write(65);  //"A" betű ASCI kódja 65
  lcd.write(66);
  lcd.write(67);
  lcd.write(68);
  lcd.write(69);
  //ékezetes betűt csak lcd_print()-el lehet írni, mert az két byte-on megy ki UTF-8 kódolással a string-ben
  delay(2000);
  
  //------------------egyéb kijelző kezelő függvények bemutatása----------------------------------------
  //háttérvilágítás ki és bekapcsolása
  lcd.clear();lcd.print("Hatter vilagitás");lcd.setCursor(0,1);lcd.print("kikapcsolás");
  delay(2000);lcd.noBacklight();delay(1000);lcd.backlight();delay(1000);
  //Cursor pozició villogtatása sötét hátérrel.
  lcd.clear();lcd.print("Blink funkció"); lcd.blink(); delay(3000);lcd.noBlink();
  //Bekapcsoljuk a blink funkciót és a szöveg kiírását követően balra mozdítjuk a kurzort
  lcd.clear();lcd.blink();lcd.print("Cursor áthely.");delay(2000);lcd.setCursor(6,0);;delay(2000);lcd.noBlink();
  //szöveg kiírást követően bekapcsoljuk a kurzort, majd kis idő mulva kikapcsoljuk
  lcd.clear();lcd.print("Cursor on-off");lcd.cursor();delay(3000);
  lcd.noCursor();delay(3000); 
  //kikapcsoljuk a display-t. A világítás marad, de szövegek nem láthatóak, azonban a tartalom nem törlődik, bekapcsoláskor ujra láthatóvá válik
  lcd.clear();lcd.print("Disp. ki és be!");lcd.setCursor(0,1);lcd.print("Világítás marad!");delay(2000);
  lcd.noDisplay();delay(2000);lcd.display();delay(2000);
  //kikapcsoljuk a display-t. Teljes kikapcsolás, a világítás is lekapcsolódik. A tartalmat azonban nem felejti el, visszakapcsoláskor ujra láthatóvá válik az előzőleg kiírt szöveg
  lcd.clear();lcd.print("Disp. teljes ki");lcd.setCursor(0,1);lcd.print("és bekapcsolása");delay(2000);
  lcd.off();delay(2000);lcd.on();delay(2000);

  //---------------Képernyő tartalom eltolása jobbra illetve balra-------------------------------------
  //A DDRAM változtatása nélkül jobbra illetve balra toljuk el a teljes képernyő tartalmat
  //A kiírt szöveg vándorol a képernyőn (lépeget a DDRAM-ban a tartalom), ami az egyik végén
  //kilép, amásik végén belép és fordítva. Négy soros kijelző esetén az első sorban kilépő
  //karakter a harmadik sorban lép be, aztán ami itt kilép a másodikon lépbe, majd a negyedikre
  //kerül át (illetve fordítva)
  lcd.clear();lcd.print("Scroll balra");delay(1000);
  for (byte i=0;i<12;i++) {lcd.scrollDisplayLeft();delay(200);} //A kiírt szöveget többször balra mozdítjuk egy-egy pozícióval
  delay(2000);
  lcd.clear();lcd.print("Scroll jobbra");delay(1000);
  for (byte i=0;i<20;i++) {lcd.scrollDisplayRight();delay(200);} //A kiírt szöveget többször jobbra mozdítjuk egy-egy pozícióval
  delay(2000);
  
  //kiírjuk az "Autoscroll:" szöveget és bekapcsoljuk az autoscroll funkciót. Kiírunk 10 számot,
  //és az eredetileg kiírt szöveg balra tolódik egy-egy pozícióval a számok kiírásakor. Ami a sor
  //elején vagy végén kilép, az a következő sorban belép (négysorosnál a sorrend 1-3-2-4. sor)
  //---------------Autóscroll funkció balra-------------------------------------------------------------
  lcd.setCursor(0,0);
  lcd.clear();  lcd.print("Autoscroll bal");delay(3000);
  lcd.leftToRight();   //Az írási irány balról jobbra, de ekkor az autoscroll balra mozdítja a szöveget
  lcd.autoscroll();    //Autóscroll funkció bekapcsolása. Ennek hatására nem a cursor mozdul el egy karakter
                       //kiírásakor, hanem a teljes képernyő tartalom. Ami a sor elején kilép, az a második sor végén
                       //belép. Négysoros kijelzőnél az első sorból kilépő karakter a harmadik sorban lép be 
  lcd.setCursor(10,1);
  for (byte i=0; i<10; i++) {lcd.print(i);delay(300);} 
  lcd.noAutoscroll();
  delay(3000);
  //---------------Autóscroll funkció jobbra--------------------------------------------------------------
  lcd.setCursor(0,0);
  lcd.clear();  lcd.print("Autoscroll jobb");delay(3000);
  lcd.rightToLeft();  //Az írási irány jobbról balra, de ekkor az autoscroll jobbra mozdítja a szöveget
  lcd.autoscroll();   //Autóscroll funkció bekapcsolása. Ennek hatására nem a cursor mozdul el egy karakter
                      //kiírásakor, hanem a teljes képernyő tartalom. Ami a sor végén kilép, az a második sor elején
                      //belép. Négysoros kijelzőnél az első sorból kilépő karakter a harmadik sorban lép be 
  lcd.setCursor(10,1);
  for (byte i=0; i<10; i++) {lcd.print(i);delay(300);} 
  lcd.noAutoscroll(); 
  lcd.leftToRight(); 
  delay(3000);

  //---------------Jobbra írási mód (alaphelyzetnek megfelelő)---------------------------------------------
  lcd.clear();lcd.print("Jobbra írás:");delay(3000);
  lcd.leftToRight(); 
  lcd.setCursor(0,1);
  for (byte i=0; i<10; i++) {lcd.print(i);delay(300);} 
  delay(3000);
  
  //---------------Balra írási mód karakterenkénti írással-------------------------------------------------
  lcd.clear();lcd.setCursor(0,0);lcd.print("Balra írás:");
  lcd.setCursor(0,1);lcd.print("Megl.szöv:");delay(3000);    //A sor elején található szövegre ráír
  lcd.rightToLeft();
  lcd.setCursor(10,1);
  for (byte i=0; i<10; i++) {lcd.print(i);delay(300);} 
  delay(3000);
  lcd.leftToRight();  //normál jobbra írási mód visszaállítása

  //---------------Teljes magyar ékezetkészlet bemutatása (csak kis betűk férnek el) ----------------------
  lcd.clear();lcd.setCursor(0,0);lcd.print("Ékezetes betűk:");
  lcd.setCursor(0,1);lcd.print("ÁáÉéÖöŐőÜüűŰúÚÍí");delay(4000);

  //---------------Különböző változó típusok írása---------------------------------------------------------
  lcd.clear();lcd.setCursor(0,0);lcd.print("Byte DEC HEX BIN");
  lcd.setCursor(0,1);
  lcd.print((byte) 138,DEC);lcd.print(" ");   //byte decimális értékként
  lcd.print((byte) 138,HEX);lcd.print(" ");   //byte hexadecimálisan
  lcd.print((byte) 138,BIN);lcd.print(" ");   //byte binárisan
  delay(4000);
  lcd.clear();lcd.setCursor(0,0);lcd.print("Integer:");
  lcd.setCursor(0,1);lcd.print((int) 31002);lcd.print(" ");lcd.print((int) -165);
  delay(2000);
  lcd.clear();lcd.setCursor(0,0);lcd.print("Unsigned Int:");
  lcd.setCursor(0,1);lcd.print((unsigned int) 59862);
  delay(2000);
  lcd.clear();lcd.setCursor(0,0);lcd.print("Long:");
  lcd.setCursor(0,1);lcd.print((long) 5231002);lcd.print(" ");lcd.print((int) -165);
  delay(2000);
  lcd.clear();lcd.setCursor(0,0);lcd.print("Unsigned long:");
  lcd.setCursor(0,1);lcd.print((unsigned long) 55449862);
  delay(2000);
  lcd.clear();lcd.setCursor(0,0);lcd.print("Float:");
  lcd.setCursor(0,1);lcd.print((float)54.23923,2);         //Ha a megadott tizedesek száma kisebb, mint az értékes tizedesek, akkor kerekít
  delay(2000);
  lcd.clear();lcd.setCursor(0,0);lcd.print("Float:");
  lcd.setCursor(0,1);lcd.print((float)-123456789.23493,2); //A float Arduino C++ esetén 8 értékes számjegy a tizedesekkel együtt
                                                           //Ha az egész érték több mint 8 karakter, akkor az egészek további számjegyei
                                                           //illetve tizedesek értékes jegyei között már csak 0 szerepel, azaz kerekít 
                                                           //8 értékes jegyre (a tizedes pont a 9. karakter)
}

void loop()
{
}
